UNIQ(1)

NAME
uniq - report or filter out repeated lines in a file

SYNOPSIS
uniq [-c | -du] [-i] [-f fields] [-s chars] [input [output]]

Obsolescent:

uniq [ -fields ] [ +chars ] [input [output]]

DESCRIPTION
The uniq utility reads the standard input comparing adjacent lines, and writes a copy of each unique input line to the standard output. The second and succeeding copies of identical adjacent input lines are not written. Repeated lines in the input will not be detected if they are not adjacent, so it may be necessary to sort the files first.

The following options are available:

    -c  Precede each output line with the count of the number of times the line occurred in the input, followed by a single space.

    -d  Print one copy of each repeated line in the input.

    -f fields
        Ignore the first fields in each input line when doing comparisons. A field is a string of non-blank characters separated from adjacent fields by blanks. Field numbers are one based, i.e. the first field is field one.

    -s chars
        Ignore the first chars characters in each input line when doing comparisons. If specified in conjunction with the -f option, the first chars characters after the first fields fields will be ignored. Character numbers are one based, i.e. the first character is character one.

    -u  Print lines that are not repeated in the input.

    -i  Case insensitive comparison of lines.

If additional arguments are specified on the command line, the first such argument is used as the name of an input file, the second is used as the name of an output file.

If neither of the options d or u are specified on the command line, uniq behaves as if both d and u are set, printing a single copy of repeated lines as well as unrepeated lines.

The uniq utility exits 0 on success, and >0 if an error occurs.

COMPATIBILITY
The historic +number and -number options have been deprecated but are still supported in this implementation.

VERSION
This manual page documents uniq version 2.0.

ATTRIBUTIONS
This command was ported from FreeBSD source code for distribution with GNO/ME 2.0.6.

HISTORY
A version of uniq written in 1992 was distributed with earlier releases of GNO.

SEE ALSO
sort(1)

STANDARDS
The uniq utility is expected to be POSIX-2 compatible.